Page MenuHomePhabricator

Clarify appropriate use of 'pending' background texture
Open, LowPublic

Description

The background was created for pending dialogs:

It takes up a small area as in bounded by a border. It shows that the dialog is in a semi-disabled state, waiting on an asynchronous process.

However it should not be used as a generic placeholder for loading content, as it is currently being used on the notifications page, and RC filters:


Here the texture is used as a foreground, not a background, has no border leading to sharp edges, and is of a fairly arbitrary size.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Volker_E triaged this task as Low priority.Jun 30 2017, 2:42 AM
Catrope added a subscriber: Volker_E.
Catrope added a subscriber: Catrope.

From the duplicate task: this is an Accessibility problem for people with equilibrium disorders, who are particularly sensitive to moving images

Trizek-WMF added a comment.EditedJul 19 2017, 10:25 AM

I think it is the best option. But is it canonical? If it is accepted or tolerated, can we deploy it?

I think it is the best option. But is it canonical? If it is accepted or tolerated, can we deploy it?

Since T75972: Loading indicators / Progress indicators are inconsistent. is still open, I guess there is no canonical solution yet. The three dots has been proposed in the ticket (and in previous Trello cards) without raising concerns and it has been in use for Content Translation working quite well (from the feedback we got, it does the job of communicating the wait without signs of it being distracting).

Is it a problem if we use the three-dots instead of the moving stripes?

Is it a problem if we use the three-dots instead of the moving stripes?

I think that the three dots work well as a generic placeholder for loading content. So I think they can replace the stripes in that use, which seems to be the main focus of the ticket.

For the more general question on whether the three dots can support all the other uses of the stripes, I'd need to be more familiar with those uses and get more examples of "semi-disabled" panels in order to answer.

Volker_E edited projects, added UI-Standardization; removed OOUI.May 29 2019, 10:54 PM

Dots they should be…

Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 29 2019, 10:54 PM